## grendel.ui
Class DialogAuthenticator

    java.lang.Object
      |
      +--javax.mail.Authenticator
            |
            +--grendel.ui.DialogAuthenticator

public class DialogAuthenticator
extends javax.mail.Authenticator

Constructor Summary
`DialogAuthenticator()`

Method Summary
`protected javax.mail.PasswordAuthentication` | `getPasswordAuthentication()`
`boolean` | `isCancelled()`
`void` | `resetPassword()`

Methods inherited from class javax.mail.Authenticator
`getDefaultUserName, getRequestingPort, getRequestingPrompt, getRequestingProtocol, getRequestingSite`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DialogAuthenticator

    public DialogAuthenticator()

Method Detail

### getPasswordAuthentication

    protected javax.mail.PasswordAuthentication getPasswordAuthentication()

  Overrides:
    getPasswordAuthentication in class javax.mail.Authenticator

### isCancelled

    public boolean isCancelled()

### resetPassword

    public void resetPassword()